% PNDULO INVERTIDO SOBRE UN CARRO

clear all;
close all;
clc;

M = 0.5;
m = 0.2;
B = 0.1;
J = 0.006;
g = 9.8;
L = 0.3;

p = J*(M+m)+M*m*L^2; %denominador para las matrices A y B

Amat = [0      1              0           0;
     0 -(J+m*L^2)*B/p  -(m^2*g*L^2)/p   0;
     0      0              0           1;
     0 (m*L*B)/p       m*g*L*(M+m)/p  0];
Bmat = [     0;
     (J+m*L^2)/p;
          0;
        -m*L/p];
Cmat = [1 0 0 0;
     0 0 1 0;
     0 0 360/(2*pi) 0];
Dmat = [0;
     0;
     0];
P1=ss(Amat,Bmat,Cmat,Dmat)
